Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.jvm
[Java] Interface ClassDirectoryBinary

    org.gradle.api.Buildable
      org.gradle.language.jvm.ClassDirectoryBinary
          org.gradle.language.base.Binary
              org.gradle.api.Named
                  org.gradle.language.base.BuildableModelElement

All Superinterfaces:
  Buildable, Binary, Named, BuildableModelElement

    @Incubating
    public interface ClassDirectoryBinary
    extends Binary

An exploded binary containing resources and compiled class files.

Method Summary
`File` | `getClassesDir()`
`File` | `getResourcesDir()`
`DomainObjectCollection` | `getSource()`
`void` | `setClassesDir(File dir)`
`void` | `setResourcesDir(File dir)`

Methods inherited from interface Named
getName

Methods inherited from interface BuildableModelElement
builtBy, setLifecycleTask

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### getClassesDir

    public File getClassesDir()

### getResourcesDir

    public File getResourcesDir()

### getSource

    public DomainObjectCollection getSource()

### setClassesDir

    public void setClassesDir(File dir)

### setResourcesDir

    public void setResourcesDir(File dir)

Gradle API 1.10